List transactions
curl --request GET \
--url https://api.hyperline.co/v1/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperline.co/v1/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperline.co/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0
},
"data": [
{
"id": "tra_2QdJDDUej969ev",
"type": "subscription",
"amount": 31500,
"currency": "EUR",
"customer_id": "cus_QalW2vTAdkR6IY",
"provider_id": "<string>",
"process_at": "2024-11-12T07:38:39.222Z",
"settled_at": "2024-11-12T07:38:39.222Z",
"refunded_at": null,
"original_transaction_id": null,
"reversed_at": null,
"last_refreshed_at": null,
"provider_fee": null,
"chargeback": null,
"integrations": [
{
"entity_id": "123456789",
"provider_name": "stripe",
"provider_account_id": "acc_1234567890"
}
],
"payment_method": {
"id": "pm_1xMpj5bwRqN7LM",
"status": "active",
"type": "card",
"last_4_digits": 2718,
"expiration_date": "2027-11",
"brand": "<string>"
},
"status": "settled",
"allocations": [
{
"invoice_id": "inv_2QdJDDUej969ev",
"amount": 31500
}
]
}
]
}Transactions
List transactions
Retrieve transactions across all invoices and transactions without an invoice allocation.
GET
/
v1
/
transactions
List transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
0 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I

